function [scoreop]=covscore(f,b,w)

global NV NF NP NDRAWS NALTMAX NCSMAX NMEM NTAKES
global X S XF DR MDR IDV

[p, g]=llgrad2(f,b,w);

NVP=length(w); %Number of variance parameters

ps=NF+NV+NVP-sum(IDV(:,2) == 5);

scoreop=zeros(ps,ps,NP);

for i=1:NP
    gc=g(:,i);

    if NV>0 && sum(IDV(:,2)==5) >0 ;  %Zero mean error components
        z=[ones(NF,1) ; IDV(:,2) ~= 5 ; ones(NVP,1)];
        gc=gc(z==1,1); %Remove gradient for mean of error component variable
    end
    scoreop(:,:,i)=gc*gc';
end
scoreop=sum(scoreop,3);