function [melas]=marketelas(p,GradS,GradM,TALT,var,Market,nMarket,MElasOut,WGT,elas) 

global S 

TVAR=size(var,1);

melas = zeros(TVAR,TALT,nMarket);

for m=1:nMarket

    Mindex=S;
    Mindex(Market~=m)=0;
    
    Mdsm=squeeze(max(max(Mindex,[],1),[],2));    %1xNP index of active dsm
    MWGT=(WGT.*Mdsm')./sum(WGT.*Mdsm');           %1xNP market weights
    
    Share=sum(squeeze(sum(Mindex.*p,2)).*repmat(MWGT,[TALT 1]),2);   
    %TALT x 1 matrix of summed probs
   
    GradMindex=GradM==m;
    Deriv=sum(squeeze(sum(GradS.*GradMindex,3)).* ...
        permute(repmat(MWGT,[TVAR,1,TALT]),[1 3 2]),3);  %TALT x TALT of summed dprob/dp
       
    if elas==0
        melas(:,:,m)=Deriv;
    elseif elas==1
        melas(:,:,m)=Deriv.*repmat(var(:,m),1,TALT)./repmat(Share',TVAR,1);
    elseif elas==2
        melas(:,:,m)=Deriv./repmat(Share',TVAR,1);
    end

end

if isempty(MElasOut)==0 
    n=size(melas);

    elas=reshape(melas,[n(1)*n(2)*n(3),1]);   %NAM(prc)*TALT(share)*M x 1

    shareop=(1:TALT)';
    varop=(1:TVAR)';
    OptionShare=repmat(kron(shareop,ones(TVAR,1)),nMarket,1);
    OptionPrice=repmat(varop,nMarket*TALT,1);
    Mark=(1:nMarket)';
    Mark=kron(Mark,ones(TVAR*TALT,1));

    MElasdata=[Mark OptionShare OptionPrice elas];
    save(MElasOut,'MElasdata','-ascii','-double','-tabs');
end
