function [W]=moneywelfare(AllCoefFile,NP,NCSMAX,DR,MDR,R,Group,w) 

global NDRAWS NMEM NTAKES
global IDV IDF PV

load(AllCoefFile);

W=zeros(NCSMAX,NP);         %NCSMAXxNP
MUI=zeros(NCSMAX,NP,NMEM);  %NCSMAXxNPxNMEM

for r=1:NTAKES   %NTAKES is the number of draws that are are read into memory at one time                              

if NTAKES>1
   DR=MDR.Data(1).drs((r-1).*NMEM+1:r.*NMEM,:,:); %Dimensions: NMEM x NP x NV
   DR=permute(DR,[3,2,1]); %To make NV x NP x NMEM
end

Group=repmat(Group,[1,1,1,NMEM]);
Group=max(Group,[],1);
GroupC=zeros(NCSMAX,NP,NMEM);
GroupC(:,:,:)=Group;

for i=1:R

 c=trans(bhat(:,i),what(:,i),DR,NP);   %c is NVxNPxNMEM matrix of b+w*dr (possibly transformed)

 if sum(IDV(:,1)==PV)==1
    pc=IDV(:,1)==PV;
    MUIc=c(pc,:,:);                 %1xNPxNMEM 
    MUIc=repmat(MUIc,[NCSMAX 1 1]);  %NCSMAXxNPxNMEM
 elseif sum(IDF==PV)==1
    pc=IDF==PV;
    MUIc=fhat(pc);
    MUIc=repmat(MUIc,[NCSMAX NP NMEM]);  %NCSMAXxNPxNMEM
 end

 MUI(GroupC==i)=MUIc(GroupC==i);
end

w=w./MUI;
sw=sum(w,3);                   %NCSMAXxNP 

W=W+sw;

end

W=W./NDRAWS; %NCSMAXxNP 
